ContextEnvironment (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.ContextEnvironment class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextEnvironment

    java.lang.Object
      org.apache.catalina.deploy.ContextEnvironment

All Implemented Interfaces:
  java.io.Serializable

    public class ContextEnvironment

extends java.lang.Object
implements java.io.Serializable

Representation of an application environment entry, as represented in an `<env-entry>` element in the deployment descriptor.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ContextEnvironment()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`NamingResources` | `getNamingResources()`
`boolean` | `getOverride()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setOverride(boolean override)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ContextEnvironment

    public ContextEnvironment()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getOverride

    public boolean getOverride()

### setOverride

    public void setOverride(boolean override)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.